<?php
session_start();
include_once("../scripts/connect.php");
        include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
    header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

     $conexion=conecta_default();
  $ok=0;
  
   $pri=$_POST['cd'];
    $fin=$_POST['consec'];
 
   
echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>";
   /*$qa = "SELECT clave_cd FROM distribuidor WHERE id_dist = '".$id_dist."'";

   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
   while($ra = mysqli_fetch_row($ca))
   {
	   $clave_cd = $ra[0];
	};
*/








   $qqq = "SELECT nombre, appat, apmat, rfc, fechat, idtransacciones FROM transacciones join inversionista on (inversionista.id_inver=transacciones.inversionista_id_inver) where usuarios_ci_idusuarios_ci=$pri and consec=$fin";
	  $cqq = mysqli_query($conexion, $qqq) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rqq = mysqli_fetch_row($cqq))
	  {
	      $nombred = $rqq[0];
		  $appatd = $rqq[1];
		  $apmatd = $rqq[2];
		  $rfcd = $rqq[3];
		  $fechat = $rqq[4];
		  $numns = $rqq[5];
		  	   };


   $qCuenta = "SELECT COUNT(id_prod) FROM productos";
	  $cCuenta = mysqli_query($conexion, $qCuenta) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	  while($rCuenta = mysqli_fetch_row($cCuenta))
	  {
	      $cuenta = $rCuenta[0]; // Cantidad de Productos para el contador.
	   };
	  $qd = "SELECT asignar, id_prod,  nombreProd, precio, puntos FROM nsalida join productos on (productos.id_prod=nsalida.productos_idprod) where transacciones_idtransacciones=$numns
	  and asignar>0";

	  $cd = mysqli_query($conexion, $qd) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	 

	   echo "<form name=\"Selec_Prod_Pedido\" action=\"pagarns2.php\" method=\"post\">
			
			<center><img src=\"aplprod.gif\"><br><br><b>Nota de Salida</b><b><font size=\"+2\"> $pri - $fin </font> Trans No. $numns</b><br>
			<table CellPadding=\"5\" bgcolor=\"#ccdbfc\"><tr><td><b>R.F.C.</b></td><td> $rfcd</td></tr><tr><td><b>Nombre: </b></td><td>$nombred $appatd $apmatd</td></tr></table>
			<br><br>";
			
			echo"<TABLE CellPadding=5>
			<TR bgcolor=\"#2d1173\">";
				echo "
				<th><font color=\"#FFFFFF\">Por Asignar</font></center></th>
				<th><font color=\"#FFFFFF\">Nombre</font></th>
				<th><font color=\"#FFFFFF\">Precio</font></th>
				<th><font color=\"#FFFFFF\">Puntos</font></th>
				<th><font color=\"#FFFFFF\">Cantidad</font></th>
			</TR>";
			
			$i = 0;
			while($renglon = mysqli_fetch_row($cd))
			{
				echo"<tr bgcolor=\"#ccdbfc\">";
				echo "<td align=\"center\">".$renglon[0]."</td>";
				echo "<input type=hidden name=copia_id_prod$i value=$renglon[1]>";
				echo "<td>".$renglon[2]."</td>";
				echo "<input type=hidden name=copia_nombreProd$i value=$renglon[2]>";
				echo "<td>"."$".$renglon[3]."</td>";
				echo "<input type=hidden name=copia_precio$i value=$renglon[3]>";
				echo "<td>"."$".$renglon[4]."</td>";
				echo "<input type=hidden name=copia_puntos$i value=$renglon[4]>";
				echo "<td><select name = \"cant$i\">";
				for($conti=0;$conti<=$renglon[0];$conti++ ){
					echo"<option value=\"$conti\">$conti</option>";
				}
			
			
			echo"
			</select>
				
				
				
				</td>";
								$i++;
				echo"</tr>";
			};
					
			echo "</table>	<table border='0'>
	
	<tr height='40'>
	<td align='center'><label style='color:#5C3C12'>RFC a Asignar:</label>&nbsp;<input type='text' size='14' maxlength='10' name='rfcdi' value='' style='font-family: Times New Roman;text-transform:uppercase;'>
	&nbsp;&nbsp;&nbsp;<input type=\"submit\" value=\"Continuar\" name=\"hacer_pedido\"></td>
	

	</table>
	<input type=hidden name=copia_cuenta value=$cuenta>	
		<input type=hidden name=numnota value=$numns>
						
  		    </form>"; 
			//echo $copia_id_dist;
			echo "<br><b><font size=\"+3\">Asignaciones</b></font>"; 	
			
			
	 $qd1 = "select transacciones.idtransacciones, nombre, appat, apmat, observaciones, fechat from transacciones join asignaciones on transacciones.idtransacciones=
	 asignaciones.idtransacciones join inversionista on transacciones.inversionista_id_inver=inversionista.id_inver where nsalida=".$numns."";

	  $cd1 = mysqli_query($conexion, $qd1) or die ('Error (Registro No Encontrado (Generacion de Tabla)): ' . mysqli_error($conexion));
	 

	   echo "
		
			
			
			<TABLE CellPadding=5 >
			<TR bgcolor=\"#ccdbfc\">";
				echo "
				<th>Pedido</th>
				<th>Nombre</th>
				<th>Cantidad</th>
				<th>Fecha</th>
			</TR>";
			
		
			while($renglon = mysqli_fetch_row($cd1))
			{
				echo"<tr bgcolor=\"#e2ecff\">";
				echo "<td>".$renglon[0]."</td>";
				echo "<td>".$renglon[1]." ".$renglon[2]." ".$renglon[3]."</td>";
				echo "<td>"."$".$renglon[4]."</td>";
				echo "<td>".$renglon[5]."</td>";
				
			
			
			
							
				echo"</tr>";}
					
			echo "</table><br> 
				
			<br>";

?>

